Bug 44912 - kinput2 SRPM needs several build dependencies
kinput2 SRPM needs several build dependencies
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kinput2 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nakai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-18 15:55 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-11 09:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-18 15:55:55 EDT
Description of Problem: with the 7.1 product, you cannot build the kinput2
SRPM without having thje following RPMs installed: XFree86-devel,
Wnn6-SDK-devel, and Canna-devel.   But, if "rpm -ba
/usr/src/redhat/SPECS/kinput2*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies with the above-listed
RPMs.  If you install the rpms (above), the kinput2 SRPM builds without
problems.

How Reproducible: Always

Steps to Reproduce:
   1. rpm -e XFree86-devel Wnn6-SDK-devel Canna-devel
   2. rpm -Uvh <tree-path>/SRPMS/kinput2*.src.rpm
   3. rpm -ba /usr/src/redhat/SPECS/kinput2*spec
   4. rpm -Uvh <tree-path>/RedHat/RPMS/XFree86-devel* (and Wnn6-SDK-devel*
and Canna-devel*)
   5. rpm -ba /usr/src/redhat/SPECS/kinput2*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the kinput2 SRPM cannot be built without installing the
previously-mentioned RPM.
Comment 1 Glen Foster 2001-07-10 19:52:06 EDT
This problem still exists the day before 7.2 beta-2
Comment 2 Nakai 2001-07-11 09:26:53 EDT
Should be fixed in kinput2-v3-15.src.rpm

Note You need to log in before you can comment on or make changes to this bug.